profanity-0.5.0-4.1.x86_64.rpm


Advertisement

Description

profanity - Console based XMPP client

Distribution: openSUSE 42.2
Repository: openSUSE Update Oss all
Package name: profanity
Package version: 0.5.0
Package release: 4.1
Package architecture: x86_64
Package type: rpm
Installed size: 47.60 KB
Download size: 18.07 KB
Official Mirror: ftp.gwdg.de
Profanity is a console based XMPP client written in C using ncurses and libstrophe, inspired by Irssi.

Alternatives

Provides

  • libprofanity.so()(64bit)
  • profanity = 0.5.0-4.1
  • profanity(x86-64) = 0.5.0-4.1

    Download

    Install Howto

    Install profanity rpm package:

    # zypper install profanity

    Files

    • /usr/include/profapi.h
    • /usr/lib64/libprofanity.so
    • /usr/share/man/man1/profanity.1.gz
    • /usr/share/profanity/
    • /usr/share/profanity/icons/proIcon.png
    • /usr/share/profanity/icons/proIconMsg.png
    • /usr/share/profanity/themes/aqua
    • /usr/share/profanity/themes/batman
    • /usr/share/profanity/themes/bios
    • /usr/share/profanity/themes/boothj5
    • /usr/share/profanity/themes/boothj5_slack
    • /usr/share/profanity/themes/complex
    • /usr/share/profanity/themes/forest
    • /usr/share/profanity/themes/hacker
    • /usr/share/profanity/themes/headache
    • /usr/share/profanity/themes/joker
    • /usr/share/profanity/themes/mono
    • /usr/share/profanity/themes/orange
    • /usr/share/profanity/themes/original
    • /usr/share/profanity/themes/original_bright
    • /usr/share/profanity/themes/shade
    • /usr/share/profanity/themes/simple
    • /usr/share/profanity/themes/spawn
    • /usr/share/profanity/themes/whiteness

    Changelog

    2017-02-10 - mvetter@suse.com - boo#1024696: Fix Message Carbons Implementation * Add profanity-CVE-2017-5592-message-carbons.patch

    2016-09-22 - mvetter@suse.com - Fixing gh/boothj5/profanity/#860: profanity uses parts of the new API of libstrophe. But since the so name wasn't bumped this doesn't get autodetected. Adding the requires manually: Requires: libstrophe0 >= 0.9.0

    2016-09-21 - mvetter@suse.com - Add better information to description - Enable tray icon in profanity-standard

    2016-09-16 - mvetter@suse.com - Run spec-cleaner and use macros so it builds on all archs

    2016-09-16 - mvetter@suse.com - Add profanity-rpmlintrc

    2016-09-16 - mvetter@suse.com - Update to version 0.5.0: * Plugins API supporting C and Python plugins * SSL certificate verification (requires libmesode) (/tls) * HTTP file upload (xep-0363) (/sendfile) * Blocking command (xep-0191) (/blocked) * Allow auto extended away (/autoaway) * Include last acitvity in initial presence (xep-0256) (/lastactivity) * Last Activity (xep-0012) (/lastactivity) * Ability to run command scripts (/script) * Account startscript property to execute a command script on connect (/account) * Export roster to CSV file (/export) * Support for GTK tray icons (/tray) * User specified text triggers for chat room notifications (/notify) * Per chat room notification options (/notify) * Many new roster panel display options (/roster) * Time format preferences per window type (/time) * Edit, prepend and append to room subject (/subject) * Autoping timeout preference (/autoping) * Window navigation by window title (/win) * Window closing by window title (/close) * Account theme setting (/account) * Allow sending XMPP stanzas in xmlconsole window (/xmlconsole) * Configure level of room message notifications in console window (/console) * Check ~/.config/profanity/inputrc for readline settings * Custom readline functions for navigation key bindings * Autocomplete command arguments when no characters entered - BuildRequire at least version 0.9.0 of libstrophe - Have libprofanity.so and profapi.h in main package for now - Add icon files

    2016-06-14 - mvetter@suse.com - Split profanity in two packages: standard - the default with all features enabled mini - disabling notifications thus not needing X

    2015-10-01 - mvetter@suse.com - Build with PGP enabled - Upgrade to version 0.4.7: * Build against libmesode if available * Handle invalid SSL certificates (requires libmesode) * Allow auto extended away * Include last acitvity in initial presence (xep-0256) * Last Activity (xep-0012) libmesode is not yet packaged. So this version uses libstrophe still.

    2015-07-07 - cfarrell@suse.com - license update: SUSE-GPL-3.0+-with-openssl-exception There is an exception to permit linking with openssl

    2015-06-16 - mvetter@suse.com - Initial commit

    Advertisement
    Advertisement